mvnForum Homepage

Posted by jerickson314 at Nov 13, 2004 4:01:05 PM
Re: I'm sad to see that the Sword won't run under FC2
Under Fedora Core I suggest installing from the 1.5.7a tarball on the Sword site.

Some people have had trouble compiling 1.5.7 on FC2, but I have successfully compiled Sword 1.5.7a on FC3 (haven't tried FC2) and have in fact sent an RPM to Joachim (who manages the BibleTime project).

Manual compiling instructions: Extract the tar (you can use Ark or FileRoller if you don't know the command line), and open a terminal in the extracted directory sword-1.5.7. Then do

./configure (you might need to add some options here if it won't compile, let me know if this happens)


make install

If my FC3 package gets posted on the BibleTime site, you can try using it or installing the src package for FC3 and running (as root)

rpmbuild -bb /usr/src/redhat/SPECS/sword.spec

to create your own RPM file (it will be in /usr/src/redhat/RPMS/i386). Unless you modify the sword.spec file the outputted RPM will have fc3 in the name rather than fc2, but it will actually be for whatever version you compile it on.